Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex MPP Analytics for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Expand
        • Delete
        • Start
        • Stop
        • Move
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListMasterHosts
        • ListSegmentHosts
        • ListBackups
        • Backup
        • Restore
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • LogRecord
  1. API reference
  2. REST
  3. Cluster
  4. ListLogs

Managed Service for Greenplum® API, REST: Cluster.ListLogs

Written by
Yandex Cloud
Updated at July 13, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • LogRecord

Retrieves logs for the specified Greenplum® cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}:logs

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Greenplum® cluster to request logs for.
To get the Greenplum® cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

columnFilter[]

string

Columns from log table to request.
If no columns are specified, entire log records are returned.

serviceType

enum (ServiceType)

Type of the service to request logs about.

  • GREENPLUM: Greenplum® activity logs.
  • GREENPLUM_POOLER: Greenplum® pooler logs.
  • GREENPLUM_PXF: Greenplum® PXF service logs.

fromTime

string (date-time)

Start timestamp for the logs request.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

toTime

string (date-time)

End timestamp for the logs request.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

pageSize

string (int64)

The maximum number of results per page to return.
If the number of available results is larger than pageSize, the service returns a ListClusterLogsResponse.nextPageToken that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the ListClusterLogsResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

alwaysNextPageToken

boolean

The service always returns a ListClusterLogsResponse.nextPageToken, even if the current page is empty.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. A field name. Currently filtering can be applied to the [LogRecord.logs.message.hostname], [LogRecord.logs.message.error_severity] (for GREENPLUM service) and [LogRecord.logs.message.level] (for GREENPLUM_POOLER service) fields.
  2. A conditional operator. Can be either = or != for single values, IN or NOT IN for lists of values.
  3. A value. Must be 1-63 characters long and match the regular expression ^[a-z0-9.-]{1,61}$.
    Examples of a filter:
  • message.hostname='node1.db.cloud.yandex.net';
  • message.error_severity IN ("ERROR", "FATAL", "PANIC") AND message.hostname = "node1.db.cloud.yandex.net".

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "logs": [
    {
      "timestamp": "string",
      "message": "object"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

logs[]

LogRecord

Requested log records.

nextPageToken

string

This token allows you to get the next page of results for list requests.
If the number of results is larger than ListClusterLogsRequest.pageSize, use the nextPageToken as the value for the ListClusterLogsRequest.pageToken query parameter in the next list request.
Each subsequent list request has its own nextPageToken to continue paging through the results.
This value is interchangeable with the StreamLogRecord.nextRecordToken from StreamLogs method.

LogRecordLogRecord

Field

Description

timestamp

string (date-time)

Time when the log was recorded.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

message

object (map<string, string>)

Contents of the log record.

Was the article helpful?

Previous
RescheduleMaintenance
Next
StreamLogs
© 2026 Direct Cursus Technology L.L.C.